Name:          kdeconnect
Version:       21.12.0
Release:       1mamba
Summary:       Connect Android, Blackberry and other devices with KDE deskto
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://community.kde.org/KDEConnect
Source:        https://download.kde.org/stable/release-service/%{version}/src/kdeconnect-kde-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libQt5Multimedia-devel
BuildRequires: libQt5X11Extras-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXtst-devel
BuildRequires: libfakekey-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkpeople-devel
BuildRequires: libkservice-devel
BuildRequires: libkwayland-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libpulseaudio-qt-devel
BuildRequires: libqca-qt5-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwayland-devel
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtdeclarative-devel
BuildRequires: qt5-qtquickcontrols2-devel
BuildRequires: qt5-qtwayland-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: libkpeoplevcard
BuildRequires: libpulseaudio-qt-devel >= 1.3
Provides:      kdeconnect4
Obsoletes:     kdeconnect4 < 21.04.0
Provides:      kdeconnect-kde
Requires:      libkpeoplevcard

%description
Connect Android, Blackberry and other devices with KDE desktop.

%debug_package

%prep
%setup -q -n kdeconnect-kde-%{version}

%build
%cmake_kde5 -d build \
   -DBUILD_TESTING=OFF \
   -Wno-dev

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/org.kde.kdeconnect.daemon.desktop
%{_bindir}/kdeconnect-*
%{_libdir}/libkdeconnectcore.so.*
%{_libdir}/libkdeconnectinterfaces.so.*
%{_libdir}/libkdeconnectpluginkcm.so.*
#%{_libdir}/libkdeconnectsmshelper.so.*
%dir %{_libdir}/qt5/plugins/kdeconnect
%{_libdir}/qt5/plugins/kdeconnect/kdeconnect_*.so
%{_libdir}/qt5/plugins/kdeconnect*.so
%{_libdir}/qt5/plugins/kcm_kdeconnect.so
%{_libdir}/qt5/plugins/kf5/kio/kdeconnect.so
%{_libdir}/qt5/plugins/kf5/kfileitemaction/kdeconnectfileitemaction.so
%dir %{_libdir}/qt5/qml/org/kde/kdeconnect
%{_libdir}/qt5/qml/org/kde/kdeconnect/*
%{_libexecdir}/kdeconnectd
%dir %{_datadir}/kdeconnect
%{_datadir}/kdeconnect/kdeconnect*.qml
%{_datadir}/metainfo/org.kde.kdeconnect.kcm.appdata.xml
%{_datadir}/metainfo/org.kde.kdeconnect.appdata.xml
%{_datadir}/applications/org.kde.kdeconnect.*.desktop
%{_datadir}/applications/org.kde.kdeconnect_open.desktop
%{_datadir}/contractor/kdeconnect.contract
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_datadir}/qlogging-categories5/kdeconnect-kde.categories
%{_datadir}/knotifications5/kdeconnect.notifyrc
%{_datadir}/kservices5/kcm_kdeconnect.desktop
%{_datadir}/kservices5/kdeconnect*.desktop
%{_datadir}/kservices5/plasma-kdeconnect.desktop
%{_datadir}/Thunar/sendto/kdeconnect-thunar.desktop
%{_datadir}/zsh/site-functions/_kdeconnect
%{_datadir}/deepin/dde-file-manager/oem-menuextensions/kdeconnect-dde.desktop
%{_datadir}/nautilus-python/extensions/kdeconnect-share.py
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/*
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.kdeconnect/metadata.json
%{_datadir}/icons/hicolor/*/status/*.svg
%{_datadir}/icons/hicolor/scalable/apps/kdeconnect.svg
%{_datadir}/icons/hicolor/scalable/apps/kdeconnectindicator.svg
%{_datadir}/icons/hicolor/scalable/apps/kdeconnectindicatordark.svg
%doc LICENSES

%changelog
* Sat Dec 11 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Fri Nov 05 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Tue Oct 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.08.2-1mamba
- update to 21.08.2

* Thu Sep 02 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Mon Aug 16 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Thu Jul 08 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Mon May 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 21.04.1-2mamba
- rebuilt with pulseaudio-qt 1.3

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Sat Apr 24 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Fri Mar 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Fri Feb 05 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Thu Jan 07 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Fri Dec 18 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Thu Nov 05 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sat Oct 10 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Thu Sep 03 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sat Aug 15 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Fri Jul 10 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Fri May 15 2020 Automatic Build System <autodist@mambasoft.it> 20.04.1-1mamba
- automatic version update by autodist

* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.04.0-1mamba
- update to 20.04.0

* Wed Dec 11 2019 Automatic Build System <autodist@mambasoft.it> 1.4-1mamba
- automatic version update by autodist

* Sun Aug 04 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.5-1mamba
- update to 1.3.5

* Tue Nov 20 2018 Automatic Build System <autodist@mambasoft.it> 1.3.3-1mamba
- automatic version update by autodist

* Tue Oct 16 2018 Automatic Build System <autodist@mambasoft.it> 1.3.2-1mamba
- automatic version update by autodist

* Sun Jul 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- update to 1.3.1

* Sat Mar 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Sun Dec 18 2016 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Sat Nov 12 2016 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Tue Oct 04 2016 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue Aug 30 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0

* Thu Jul 21 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.0.20160721git-1mamba
- package created using the webbuild interface
